<?php


namespace CL\Models;

use JsonMapper;

class Score {


    public $EnrollmentIdentifier;
    public $AssignmentIdentifier;
    public $Grade;
    public $Comments;
    public $LastSynced;
    public $IsLocked;

    /**
     * @param $json array
     * @return Score[]
     */
    public static function fromJsonToScore($json)
    {
        return (new JsonMapper())->mapArray($json, [], 'CL\Models\Score');
    }

    /**
     * @param $scores Score[]
     * @return string
     */
    public static function toJson($scores)
    {
        return json_encode($scores);
    }

}
