<?php

namespace CL\Models;

class User
{

    public $identifier;
    public $personIdentifier;
    public $firstName;
    public $lastName;
    public $email;
	public $enrollmentIsActive;
	
    public function __construct($identifier, $personIdentifier, $firstName, $lastName, $email, $isSuspended)
    {
        $this->identifier = $identifier;
        $this->personIdentifier = $personIdentifier;
        $this->firstName = $firstName;
        $this->lastName = $lastName;
		$this->enrollmentIsActive = $isSuspended == 0 ? true : false;
        if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
            $this->email = $email;
        }
		
    }

}