## Installation
Navigate to https://docs.moodle.org/28/en/Installing_plugins to install this plugin to Moodle.

Clone this repository to the folder campuslabs_course_sync, zip it up, and upload it to Moodle as a Block.


###Getting Started Writing a Moodle Block

Follow the step by step guide at https://docs.moodle.org/dev/Blocks for an introduction to building Moodle blocks

####Moodle Capabilities: 
https://docs.moodle.org/dev/NEWMODULE_Adding_capabilities

####Saving/Getting data in the Moodle Database:
https://docs.moodle.org/dev/Data_manipulation_API

####Javascript Guidelines: 
https://docs.moodle.org/dev/JavaScript_guidelines

####Coding Style:
https://docs.moodle.org/dev/Coding_style

####Renderer
https://docs.moodle.org/dev/Renderer

####Context
https://docs.moodle.org/28/en/Context

####Git Tag
After client release tag the commit with the version in version.php.

####Release to Client
Remove all GIT and composer related files, zip up directory, and give to client.

####Client Debug
If the block is throwing an unexpected error follow the instructions at https://docs.moodle.org/28/en/Debugging to enable debugging

## Publish Changes to Moodle
### Create module 
    1. Remove the following files/folders:
        .git
        .gitignore
    2. Remove the beta strings from moodle-block\src\CL\Helper.php
    3. Zip up the repo and rename the zipped file "campuslabs_course_sync"
    4. Update zipped file to downloads section of the moodle-block repo in bitbucket

### Install Moodle Block on a Course
	1. From the Moodle Dashboard goto > Administration > Site Administration > Plugins > Install Plugins
	2. Select "Show More"
	3. Under Plugin Type select "Block"
	4. Upload the "campuslabs_course_sync" zip file
	5. Select Install Plugin
		- Follow prompts to complete install
		
### Add the Campuslabs block to a Course
	- Select the Course you want the block installed on
	- From the Course Dashboard under the "Add Block" section. Select the "campuslabs_course_sync" block