<?php

defined('MOODLE_INTERNAL') || die();

//Campus Labs Sync Credentials
$settings->add(new admin_setting_heading('dataSyncHeader', get_string('dataSyncHeader', 'block_campuslabs_course_sync'), ''));

$campusLabsIdentifierSelect = array(
    'username' => get_string('configMoodleUserName', 'block_campuslabs_course_sync'),
	'email' => get_string('configEmailAddress','block_campuslabs_course_sync'),	
    'id_number' => get_string('configIdNumber', 'block_campuslabs_course_sync'),
    'moodle_id' => get_string('configMoodleId', 'block_campuslabs_course_sync')
);

$settings->add(new admin_setting_configselect('campuslabs_course_sync/identifier','Campus Labs Identifier','','username', $campusLabsIdentifierSelect));
$settings->add(new admin_setting_configtext('campuslabs_course_sync/oauth_client_id', get_string('configSyncOAuthClientId', 'block_campuslabs_course_sync'), '', ''));
$settings->add(new admin_setting_configtext('campuslabs_course_sync/oauth_client_secret', get_string('configSyncOAuthClientSecret', 'block_campuslabs_course_sync'), '', ''));