<?php

namespace CL\Models;


class Assignment
{
    public $identifier;
    public $name;
    public $assignmentType;
    public $description;
    public $scoringMethod;
    public $sourceSystem;
    public $pointsPossible;
    public $attemptsAllowed;
    public $availableStartDate;
    public $availableEndDate;
    public $dueDate;
    public $sourceUrl;
    public $maximumAttempts;

    public function __construct($id, $sourceUrl, $name, $type, $description, $scoringMethod, $pointsPossible, $attemptsAllowed, $maxAttempts, $availableStartDate, $availableEndDate, $dueDate) {
        $this->identifier = $id;
        $this->name = $name;
        $this->assignmentType = $type;
        $this->sourceUrl = $sourceUrl;
        $this->description = $description;
        $this->scoringMethod = $scoringMethod;
        $this->pointsPossible = $pointsPossible;
        $this->attemptsAllowed = $attemptsAllowed;
        $this->availableStartDate = $availableStartDate;
        $this->availableEndDate = $availableEndDate;
        $this->dueDate = $dueDate;
        $this->maximumAttempts = $maxAttempts;
        $this->sourceSystem = "Moodle";
    }

}